.video-hero {
    position: relative;
    width: 100%;
    height: 100vh;
    overflow: hidden;
}

.video-background {
    position: absolute;
    top: 50%;
    left: 50%;
    width: 100%;
    height: 100%;
    object-fit: cover;
    transform: translate(-50%, -50%);
    z-index: 1;
  }
.video-background video {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.video-overlay {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.5);
}

.video-content {
    position: relative;
    z-index: 2;
    height: 30vh;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    text-align: center;
    margin-top: 15vh;
    margin-bottom: 10vh;
}

.svg-container {
    width: 100%;
    max-width: 800px; /* Control maximum size */
    margin: 0 auto;
    padding: 0 20px;
  }
  
  .svg-column {
    display: flex;
    flex-direction: column;
    align-items: center;
    width: 100%;
  }
#date{
    height: 5vh;
  }
.svg-title {
    width: 80vw;
    max-width: 400px; /* Control maximum size */
    height: auto;
    display: block;
    margin: 50px auto;
  }
  
  /* Responsive Adjustments */
  @media (max-width: 992px) {
    .svg-title {
      max-width: 500px;
    }
    #date{
        height: 4vh;
      }
  }
  
  @media (max-width: 768px) {
    .svg-column {
      gap: 1rem;
    }
    #date{
        height: 4vh;
      }
    .svg-title {
      max-width: 400px;
    }
  }
  
  @media (max-width: 576px) {
    #date{
        height: 3vh;
      }
    
    .svg-title {
      max-width: 400px;
    }
  }

.hero-subtitle {
    font-size: 1.8rem;
    font-weight: 300;
    margin-bottom: 2rem;
    text-shadow: 1px 1px 5px rgba(0, 0, 0, 0.5);
}

.hero-powered {
    font-size: 1.2rem;
    font-weight: 300;
    margin-bottom: 4rem;
    letter-spacing: 0.2rem;
    text-shadow: 1px 1px 3px rgba(0, 0, 0, 0.5);
}

.countdown-container {
    margin-top: 10rem;
}

.countdown {
    padding-top: 50px;
    display: inline-flex;
    justify-content: center;
    gap: 2rem;
}

.countdown-item {
    display: flex;
    flex-direction: column;
    align-items: center;
}

.countdown-item span {
    font-size: 2rem;
    font-weight: 700;
    background-color: rgba(255, 107, 2, 0.5);
    padding: 0.5rem 1.5rem;
    border-radius: 5px;
    min-width: 100px;
    display: inline-block;
    text-align: center;
}

.countdown-label {
    font-size: 1rem;
    text-transform: uppercase;
    letter-spacing: 0.1rem;
    margin-top: 0.5rem;
}

.video-background img {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    object-fit: cover;
  }
  

/* Responsive Adjustments */
@media (max-width: 900px) {
    
    .countdown {
        gap: 1rem;
    }
    
    .countdown-item span {
        font-size: 2rem;
        min-width: 70px;
        padding: 0.5rem 1rem;
    }
    
    .countdown-label {
        font-size: 0.8rem;
    }
}
/* Bottom countdown */
.bottom-countdown {
    margin-top: 3rem;
    position: absolute;
    bottom: 100px;
    left: 0;
    right: 0;
    text-align: center;
    z-index: 100;
  }

.countdown-container {
    color: white;
}
  
  /* Swipe hint animation */
  .swipe-hint {
    margin-top: 30px;
    color: white;
    opacity: 0.8;
  }
  
  .arrow-animation {
    animation: bounce 2s infinite;
  }
  
  .swipe-text {
    margin-top: 0px;
    font-size: 0.9rem;
    letter-spacing: 1px;
  }

  .arrow-animation svg {
    transform: rotate(180deg); /* Rotates the arrow 180 degrees to point up */
  }
  
  @keyframes bounce {
    0%, 20%, 50%, 80%, 100% {transform: translateY(0);}
    40% {transform: translateY(-10px);}
    60% {transform: translateY(-5px);}
  }

